libgeglmm: Gegl::Operation Class Reference

libgeglmm

Public Member Functions | Related Functions
Gegl::Operation Class Reference
Inheritance diagram for Gegl::Operation:
[legend]

List of all members.

## Public Member Functions
void | attach (const Glib::RefPtr< Node >& node)
void | create_pad (GParamSpec* param_spec)
Glib::RefPtr< Node > | detect (int x, int y)
Glib::RefPtr< const Node > | detect (int x, int y) const
Rectangle | get_bounding_box () const
Rectangle | get_cached_region (const Rectangle& roi) const
const Babl* | get_format (const Glib::ustring& pad_name)
Rectangle | get_invalidated_by_change (const Glib::ustring& input_pad, const Rectangle& input_region) const
Rectangle | get_required_for_output (const Glib::ustring& input_pda, const Rectangle& roi) const
Glib::RefPtr< Node > | get_source_node (const Glib::ustring& pad_name)
Glib::RefPtr< const Node > | get_source_node (const Glib::ustring& pad_name) const
GeglOperation* | gobj ()
| Provides access to the underlying C GObject.
const GeglOperation* | gobj () const
| Provides access to the underlying C GObject.
GeglOperation* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | prepare ()
bool | process (GeglOperationContext* context, const Glib::ustring& output_pad, const Rectangle& result_rect)
void | set_format (const Glib::ustring& pad_name, const Babl* format)
Rectangle | source_get_bounding_box (const Glib::ustring& pad_name) const
virtual | ~Operation ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gegl::Operation > | wrap (GeglOperation* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gegl::Operation::~Operation | ( |  | ) | `[virtual]`

## Member Function Documentation

void Gegl::Operation::attach | ( | const Glib::RefPtr< Node >& | node | ) |

void Gegl::Operation::create_pad | ( | GParamSpec * | param_spec | ) |

Glib::RefPtr<Node> Gegl::Operation::detect | ( | int | x,
|  | int | y
| ) |  |

Glib::RefPtr<const Node> Gegl::Operation::detect | ( | int | x,
|  | int | y
| ) |  | const

Rectangle Gegl::Operation::get_bounding_box | ( |  | ) | const

Rectangle Gegl::Operation::get_cached_region | ( | const Rectangle& | roi | ) | const

const Babl* Gegl::Operation::get_format | ( | const Glib::ustring & | pad_name | ) |

Rectangle Gegl::Operation::get_invalidated_by_change | ( | const Glib::ustring & | input_pad,
|  | const Rectangle& | input_region
| ) |  | const

Rectangle Gegl::Operation::get_required_for_output | ( | const Glib::ustring & | input_pda,
|  | const Rectangle& | roi
| ) |  | const

Glib::RefPtr<Node> Gegl::Operation::get_source_node | ( | const Glib::ustring & | pad_name | ) |

Glib::RefPtr<const Node> Gegl::Operation::get_source_node | ( | const Glib::ustring & | pad_name | ) | const

GeglOperation* Gegl::Operation::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

Reimplemented in Gegl::OperationMeta, Gegl::OperationAreaFilter, Gegl::OperationPointFilter, Gegl::OperationPointComposer, Gegl::OperationComposer, Gegl::OperationFilter, Gegl::OperationSink, and Gegl::OperationSource.

const GeglOperation* Gegl::Operation::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

Reimplemented in Gegl::OperationMeta, Gegl::OperationAreaFilter, Gegl::OperationPointFilter, Gegl::OperationPointComposer, Gegl::OperationComposer, Gegl::OperationFilter, Gegl::OperationSink, and Gegl::OperationSource.

GeglOperation* Gegl::Operation::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented in Gegl::OperationMeta, Gegl::OperationAreaFilter, Gegl::OperationPointFilter, Gegl::OperationPointComposer, Gegl::OperationComposer, Gegl::OperationFilter, Gegl::OperationSink, and Gegl::OperationSource.

void Gegl::Operation::prepare | ( |  | ) |

bool Gegl::Operation::process | ( | GeglOperationContext * | context,
|  | const Glib::ustring & | output_pad,
|  | const Rectangle& | result_rect
| ) |  |

void Gegl::Operation::set_format | ( | const Glib::ustring & | pad_name,
|  | const Babl * | format
| ) |  |

Rectangle Gegl::Operation::source_get_bounding_box | ( | const Glib::ustring & | pad_name | ) | const

## Friends And Related Function Documentation

Glib::RefPtr< Gegl::Operation > wrap | ( | GeglOperation * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- operation.h